MCP is live.Set upAsk the community
OmniDimension
Agents

Delete agent

Permanently delete an agent.

DELETE/agents/
Path parameters
agent_idrequired
Query parameters
user_idinteger

Reseller keys only: act as one of your clients by its user id. Omit it to act on your own account. [How acting for a client works](/docs/reseller/your-clients/acting-as-clients).

curl -X DELETE 'https://omnidim.io/api/v1/agents/{agent_id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Example response
{
  "success": true,
  "message": "Agent deleted successfully"
}

Authorization

BearerAuth
headerAuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

Path Parameters

agent_id*integer

The ID of the agent.

Query Parameters

user_id?integer

Reseller keys only: act as one of your clients by its user id. Omit it to act on your own account. How acting for a client works.

Response body

application/json

Response Body

Agent deleted.

application/json
success?boolean
message?string

Was this page helpful?